Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153302 - Unable to identify capture channel in alsamixer
Summary: Unable to identify capture channel in alsamixer
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 16:51 UTC by Chris Negus
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-17 10:14:46 UTC


Attachments (Terms of Use)

Description Chris Negus 2005-04-04 16:51:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
In alsamixer, pressing the space bar with an audio channel (like mic or line1) selected should cause that channel to be selected as the capture channel. The word "CAPTUR" should appear in red over the channel. Pressing the space bar seems to have no effect (no words appear and the new capture device isn't assigned).

This feature seemed to work properly in FC3 (alsa-utils-1.0.8-4). I installed aumix (which was dropped from FC4, sadly) and it seems able to change the capture device. Then I found gnome-volume-control (I didn't know about it previously). That seems able to change the capture device as well.

Version-Release number of selected component (if applicable):
alsa-utils-1.0.8-4

How reproducible:
Always

Steps to Reproduce:
1. Run alsamixer (as root or regular user)
2. Use right arrow to move to input device (such as mic)
3. Press space bar
  

Actual Results:  No red "CAPTUR" appears over the device and it is not selected as the capture device.

Expected Results:  A red "CAPTURE" should appear over the device and it should become the audio capture device. You should be able to use a recording application to record audio from that device.

Additional info:

Comment 1 Martin Stransky 2005-04-20 10:26:28 UTC
Yes, it's strange.

Comment 2 Martin Stransky 2005-05-17 10:14:46 UTC
Alsamixer has a new parameter -V (view mode), so if you want to change
recording options you have to use it, e.g. "alsamixer -V capture".


Note You need to log in before you can comment on or make changes to this bug.